.container-fluid.p-0
    .row
        .col
            .card.mb-4
                .card-header Question
                .card-body.card-question-body !{data.question}
        .col-3.pl-0
            .card.mb-2.text-center
                .card-header Time Remaining
                if !timeLeft || timeLeft === -1
                    h3.card-body.font-weight-bold Unlimited
                else
                    h3.card-body.font-weight-bold.time-remain 00:00:00
            .card.mb-2.text-center
                .card-header Submission Counts Left
                h3.card-body#subCount
    .row
        .col
            .card.mb-4
                if(data.mcq.config.style===1)
                    .card-header  Choose one of the following answers:
                else
                    .card-header  You may select more than one answer:
                .card-body
                    div.mcqContainer
                        - let choiceNum = 1;
                        each choice in data.mcq.choices
                            div.mcqDiv
                                label.mcqChoice
                                    if(data.mcq.config.style===1)
                                        input.mcqRadioBtn(type='radio', name='selectedAns', value=choice.answer)
                                    else
                                        input.mcqRadioBtn(type='checkbox', name='selectedAns', value=choice.answer)
                                    span= choiceNum++
                                    - let choiceAns = choice.answer
                                    p.mcqChoiceText= choiceAns.replace(/(<([^>]+)>)/ig,"")
                        
    .row.mt-1
        .col
            input(name="styleInfo", value=data.mcq.config.style, type="hidden")#styleInfo
            input(name="randomanswersInfo", value=data.mcq.config.randomanswers, type="hidden")#randomanswersInfo
            input(name="qnidInfo", value=data.mcq.config.questionid, type="hidden")#qnidInfo
            input(name="selAnsInfo", value=selectedAns, type="hidden")#selAnsInfo
            button.btn.btn-primary.button-float-right#submitQuizQn(type="button", style="min-width: 120px;") Submit
script.
    let checkBoxArray = [];
    var singleSel = $("#styleInfo").val();
    var mcqId = $('#qnidInfo').val();

    // Load saved choices
    $(document).ready(function(){
        let string = $('#selAnsInfo').val();
        if (sessionStorage.getItem("mcqQns"+mcqId) != null || string != "") {
            if(singleSel == 1){ //single selection
               $('input:radio[name=selectedAns]').each(function () {
                    if(string.includes(this.value)){
                        $(this).prop('checked', true);
                    }
                });
            }else{ //multiple selection
                $('input:checkbox[name=selectedAns]').each(function () {
                    if(string.includes(this.value)){
                        $(this).prop('checked', true);
                    }
                });
            }
        }
        
    });
    //on change, save choice(s)
        $("input[name='selectedAns']").change(function(){
            if (!this.checked) { // if checkboxes are unselected
                if ($("#selAnsInfo").val().indexOf(this.value) >= 0) { //if textbox contains this value
                    $("#selAnsInfo").val($("#selAnsInfo").val().replace('{'+this.value+'}', ""));
                }
                
            }else{ // when selecting a choice
                if(singleSel == 1){ // single selection 
                    sessionStorage.setItem("mcqQns"+mcqId, this.value);
                    $("#selAnsInfo").val('{'+this.value+'}');
                }else{ // multiple selections
                    $("input:checkbox[name=selectedAns]:checked").each(function(){
                        if ($("#selAnsInfo").val().indexOf(this.value) >= 0) {
                            //ignore
                        }else{
                            $('#selAnsInfo').val($('#selAnsInfo').val() + '{' + this.value + '}', "");
                        }
                    });
                }
            }
            sessionStorage.setItem("mcqQns"+mcqId, JSON.stringify(checkBoxArray));
        });
    
    


